this.name			= "GalCop_military_missile_supply";
this.author			= "Montana05";
this.description	= "replaces on some ships the core missiles";
this.version		= "0.51";
this.copyright		= "2021 Montana05";
this.licence   		= "CC BY-NC-SA 4.0";
"use strict";

// replaces on some police, assassin and pirate ships "Missiles" and "ECM Hardened Missiles" with "Military Missiles G2"

this.shipSpawned = function(ship) 
{
	var dice = Math.round(Math.random() * 100);
	var shipRole = ship.primaryRole;
	var shipMissiles = ship.missiles;
	
	// basic check, shouldn't be necessary but better safe than sorry
	if(ship.isSubEntity == false &&
	   ship.isWeapon == false &&
	   ship.isCargo == false &&
	   ship.isRock == false &&
	   shipMissiles.length > 0 &&
	   shipRole != "wreckage" ) 
	{
		// police ships in advanced government systems with money
		if(ship.isPolice == true &&
		   system.info.government > 4 &&
		   system.info.economy < 2)
		{   
			for(var i = shipMissiles.length - 1 ; i >= 0 ; i-- )
			{
				if(shipMissiles[i].equipmentKey == "EQ_MISSILE")
				{
					ship.removeEquipment("EQ_MISSILE");
					ship.awardEquipment("EQ_GALCOP_MILITARY_MISSILE");
				};

				if(shipMissiles[i].equipmentKey == "EQ_HARDENED_MISSILE")
				{
					ship.removeEquipment("EQ_HARDENED_MISSILE");
					ship.awardEquipment("EQ_GALCOP_MILITARY_MISSILE");
				};
			};
		};
	
		// random heavily armed pirates and assassins
		if((shipRole == "pirate-heavy-fighter" ||
		    shipRole == "pirate-heavy-freighter" ||
		    shipRole == "pirate-interceptor" ||
		    shipRole == "pirate-aegis-raider" ||
			shipRole == "assassin-medium" ||
			shipRole == "assassin-heavy") &&
	        dice < 20)
		{
			for(var i = shipMissiles.length - 1 ; i >= 0 ; i-- )
			{
				if(shipMissiles[i].equipmentKey == "EQ_MISSILE")
				{
					ship.removeEquipment("EQ_MISSILE");
					ship.awardEquipment("EQ_GALCOP_MILITARY_MOD_MISSILE");
				};

				if(shipMissiles[i].equipmentKey == "EQ_HARDENED_MISSILE")
				{
					ship.removeEquipment("EQ_HARDENED_MISSILE");
					ship.awardEquipment("EQ_GALCOP_MILITARY_MOD_MISSILE");
				};
			};
		};
	};
};